[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlState

Set of permissible Control States

## Declaration

Source position: controls.pp line 246

`type TControlState = set of (`
`csLButtonDown,` |  |
`csClicked,` |  |
`csPalette,` |  |
`csReadingState,` |  |
`csFocusing,` |  |
`csCreating,` |  |
`csPaintCopy,` |  |
`csCustomPaint,` |  |
`csDestroyingHandle,` |  |
`csDocking,` |  |
`csVisibleSetInLoading` |  |
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.